# View methods

Mutisig contract provides some view methods which are given below.

* getRequest &#x20;

```typescript
const result = await multisigservice.getRequest({ requestId: 0 });
```

* getRequestWithSigner

```typescript
const result = await multisigservice.getRequestWithSigner({ requestId: 0 });getRequestIdsList
```

* getRequestIdsList

```typescript
const result = await multisigservice.getRequestIdsList();
```

* getConfirmations

```typescript
const result = await multisigservice.getConfirmations({requestId: 0 });
```

* getNumOfConfirmations

```typescript
const result = await multisigservice.getNumOfConfirmations();
```

* getNumRequestsPerMember

```typescript
const member: MultiSigMemberWithAccountId = {
    type: "Account";
    accountId: "<account id>";
}
const result = await multisigservice.getNumRequestsPerMember();
```

* getRequestNonce

<pre class="language-typescript"><code class="lang-typescript"><strong>const result = await multisigservice.getRequestNonce();
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-near/zebec-near-sdk/multisig-stream/view-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
